import 'dart:math';

import 'package:flutter/material.dart';
import 'package:flutter_scrollbar/webscrollbar.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: ScrollbarExample(),
    );
  }
}

class ScrollbarExample extends StatelessWidget {
  final ScrollController controller = ScrollController();
  @override
  Widget build(BuildContext context) {
    return Container(
      child: WebScrollBar(
        child: _getChild(),
        controller: controller,
        visibleHeight: MediaQuery.of(context).size.height,
      ),
    );
  }

  Widget _getChild() {
    final random = Random();
    return Container(
      child: SingleChildScrollView(
        controller: controller,
        child: Column(
          children: [
            for (int i = 0; i < 25; i++)
              Container(
                height: random.nextInt(100).toDouble(),
                color: Colors.primaries[Random().nextInt(Colors.primaries.length)],
              ),
          ],
        ),
      ),
    );
  }
}
